package model

import recipeappkmp.shared.generated.resources.Chicken_And_Waffles
import recipeappkmp.shared.generated.resources.Res
import kotlin.time.Duration

val americanList = listOf(
    Recipe(
        title = "Chicken & Waffles",
        description = "Southern Fried Chicken served on a Buttermilk Waffle, drenched in a hot Honey Butter.",
        ingredients = listOf(
            "8 Chicken Breasts",
            "8 Waffles",
            "2 Cups (480 mL) Buttermilk",
            "1 Tbsp Kosher Salt",
            "½ Tbsp Garlic Powder",
            "½ Tbsp Onion Powder",
            "1 Tbsp Hot Sauce or Chili Powder",
            "1 Tsp Smoked Paprika",
            "3 Cups (384 g) Flour",
            "⅓ Cup (43 g) Cornstarch",
            "2 Tsp Baking Powder",
            "2 Tsp Garlic Powder",
            "2 Tsp Onion Powder",
            "2 Tsp Kosher Salt",
            "2 Tsp freshly cracked Black Pepper",
            "¼ Cup (85 g)Honey",
            "½ Tsp Chili Powder",
            "4 Tbsp (57 g) Unsalted Butter",
            "½ Tsp Kosher Salt",
        ),
        instructions = listOf(
            "Whisk the Buttermilk [2 Cups], Kosher Salt [1 Tbsp], Garlic Powder [1/2 Tbsp], Onion Powder [1/2 Tbsp], Hot Sauce [1 Tbsp], and Smoked Paprika [1 Tsp] together in a large mixing bowl.",
            "Add the Chicken Breast [8] to the bowl, making sure every piece is covered in the Brine. Cover the bowl and let the Chicken marinate in the Buttermilk Brine from 1 hour to overnight in the fridge.",
            "In a dutch oven pot, heat up about half the pot's worth of Vegetable Oil. Allow the Oil to reach 350 degrees F.",
            "While the Oil is heating up, in a mixing bowl whisk together Flour [3 Cups], Cornstarch [1/3 Cup], Baking Powder [2 Tsp], and Seasonings. Take each Chicken piece from the Brine and dredge into the seasoned Flour. Thoroughly coat the Chicken all over, then let rest on a plate for five minutes before frying.",
            "Fry the Chicken in the hot Oil (no more than about 4 per batch) until golden brown, crispy, and cooked through completely, about 8-9 minutes.",
            "Carefully take the Chicken out of the oil and place them on a baking sheet fitted with a wire rack and let cool slightly before serving. Repeat until all the Chicken is fried.",
            "In a small saucepan, melt butter over medium heat with honey, chili powder, and kosher salt. Whisk well until the mixture is incorporated and homogenized.",
            "Lower the temperature to 'warm/low' heat and keep for serving. [Make sure to keep warm, as sauce will solidify very quickly]",
            "Make the Belgian Waffles and serve the Chicken on top of the waffles, then drizzle generously with Spicy Honey Butter Sauce.",
            ),
        tags = mapOf(
                "American" to TagType.CUISINE,
                "Entree" to TagType.COURSE,
                "Spicy" to TagType.FLAVOUR,
                "Savory" to TagType.FLAVOUR,
                "Fried" to TagType.TECHNIQUE
        ),
        image = Res.drawable.Chicken_And_Waffles,
        cookTime = Duration.parse("20m"),
        prepTime = Duration.parse("8h"),
    )
)